configure: Allow overriding uname results

In a cross compile setting it makes no sense to rely on the "uname" values
reported by the build host system. This patch allows overriding the
"uname -r", "uname -s" and "uname -m" results with the "UNAME_R", "UNAME_S"
and "UNAME_M" environment variables.

Signed-off-by: Jo-Philipp Wich <jo@mein.io>

--- a/configure
+++ b/configure
@@ -10,9 +10,9 @@ CROSS_COMPILE=
 CC=cc
 CFLAGS=
 
-system=`uname -s`
-release=`uname -r`
-arch=`uname -m`
+system=${UNAME_S:-`uname -s`}
+release=${UNAME_R:-`uname -r`}
+arch=${UNAME_M:-`uname -m`}
 state="unknown"
 
 case $system in
